## sort

#### OS/161 Reference Manual

### Name

sort - large quicksort-based VM test

### Synopsis

`/testbin/sort`

### Description

`sort` creates an array of 147456 random integers and then sorts it using quicksort. This will hopefully help show up bugs in the VM system.

### Requirements

`sort` uses the following system calls:

- write
- _exit

`sort` should run correctly to completion once the VM assignment is complete.